Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000845Core InformSpacing and printingpublic2012-01-25 14:252014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000845: Printing a Unicode character bypasses the current IO system
DescriptionPerhaps debatable, but the Standard rules include

- - - -
To say (ch - unicode character) -- running on
(documented at phs_unicode):
(- #ifdef TARGET_ZCODE; @push self; self = {ch}; @print_unicode self; @pull self;
#ifnot; if (unicode_gestalt_ok) glk_put_char_uni({ch}); else print "?"; #endif; -).
- - - -

which under Glulx calls glk_put_char_uni directly rather than using @streamchar or @streamunichar. As a consequence, Unicode characters are never received by other IO systems. The attached source demonstrates with the filter IO system.
Minimal Source Text To Reproduce
There is a room.

Include (-
	[ filter character;
		glk_put_char('X');
	];
-).

To say filter -- beginning say_filter: (- @getiosys sp sp; @setiosys 1 filter; -).
To say end filter -- ending say_filter: (- @stkswap; @setiosys sp sp; -).

black chess king translates into Unicode as 9818.

When play begins:
	say "[filter]A king: [unicode black chess king].[end filter]"
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0001547)
zarf (developer)
2012-01-25 19:52

I'd say @streamunichar is reasonable here.
(0002407)
graham (administrator)
2014-01-28 14:51

It now uses @streamunichar.

- Issue History
Date Modified Username Field Change
2012-01-25 14:25 EmacsUser New Issue
2012-01-25 14:29 EmacsUser Issue cloned 0000846
2012-01-25 19:52 zarf Note Added: 0001547
2012-05-01 21:06 EmacsUser Issue cloned 0000912
2012-05-07 01:33 curiousdannii Assigned To => curiousdannii
2012-05-07 01:33 curiousdannii Status new => confirmed
2012-05-07 01:33 curiousdannii Assigned To curiousdannii =>
2014-01-28 14:51 graham Note Added: 0002407
2014-01-28 14:51 graham Status confirmed => resolved
2014-01-28 14:51 graham Resolution open => fixed
2014-01-28 14:51 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker